Subject: Re: Addressbook fcc-value ignored with reply

From: "Jonathan, John, & Carol" <[email-masked]>
Date: Mon, 1 Jan 1996 03:31:45 -0500 (EST)

On Sat, 30 Dec 1995, Nico van der Horn wrote:
> On 30 Dec 1995, Jonathan and DearOldDad wrote:
> > Nico van der Horn ([email-masked]) wrote:
> > : I just discovered that when I reply to a user that is in my addressbook 
> > : with appropriate fcc value, the copy will be done to a folder with the 
> > : same name as the loginname of the recipient.
> > : Can this be changed by configuration or is it not possible ?
> > Not sure what you mean by 'appropriate fcc value' but you can fcc to any 
> > folder name you wish, does NOT have to go to a folder with the 
> > recipient's login name, but apparently that's the way you set up your 
> > fcc's.  For example, I correspond with 6 or 7 people about golf related 
> > topics, and fcc all of that to a folder named saved-golf-stuff.  It 
> > sounds like what you did is change the fcc in Config Setup to recipient, 
> > rather than the default sent-mail folder.
> No, I kept the default to sent-mail

Yes but I suspect you reset your fcc-name-rule to recipient

> > Another way is to leave the default as sent-mail, then in your Addressbook
> > Edit set the fcc for each correspondent to the folder you wish it to go to.
> That's exactly what I did !
> In the addressbook I specified an Fcc for some entries. When I send mail
> to one of these, the copy is placed in the specified folder instead of the
> default Fcc, this is what I expected and like. 
> When I however *reply* to a party that has an entry in my addressbook with
> the Fcc field filled in, the copy is done to a folder with the username of
> this recipient. This is not what I expected :-(

This should not happen, the fcc in your addressbook should override the 
fcc-name-rule to recipient, unless of course you have more than one name 
at the same address, then it will look for the 1st name with that address.

> In your example of the Golf-related subject, it might be handy also if all
> reply's are *automatically* copied in the Fcc corresponding to the entry
> in your addressbook. Ofcourse this is only handy if all of these users are
> related to this subject, otherwise you must specify the Fcc by hand or 
> let it default to "sent-mail" and sort it out later.

Correct, except your default is NOT sent-mail it's recipient.

> While responding to this message, Pine wanted to put the Fcc in a (not 
> yet existing) folder "jgvd"

Which it what it should do, since you reset your fcc-name-rule to recipient

> although the default-Fcc is still "sent-mail" 

You can't have it both ways

> and there is no entry for you in my addressbook. By hand I changed the 
> Fcc to "pine.out", all other messages of this list are saved in "pineYYMM".

Not sure how to explain this any better, but without some other mail
filtering program, PINE can save 'carbon copies' (fcc's) of sent mail to
either the generic sent-mail folder (which can be renamed or redirected), 
or by recipient, or by sender, or by fcc's specified in your addressbook, 
but as you pointed out above, if you reset it as you have to save by 
recipient, and that recipient is not in your addressbook, it's going to 
try to make a (for example jgvd) folder because that's what you told it 
to do.

Your original question of PINE overriding the fcc's set in your
addressbook probably has to do with the fact that you have 2 or more names
with the same address, and PINE will look to fcc to the first ADDRESS not
the first name so if you have 'Grandma [email-masked]' and 'Grandpa
[email-masked]' it will look to the first [email-masked] for an fcc and if
Grandma doesn't have one, Grandpa's mail won't be fcc'd there either.  
Don't ask why, I don't know, I just know how it works.

BYE

                          /\    /~\/\/\    /\      /\  /\   |>>
John (aka JohnGVanDalen) /\ \/\/  / /  \/\/  \/\/\/  \/  \/\|Fore!
Pocono Mtns PA USA EARTH/__\/_/__/_/___/[email-masked]|_____